# client.c File Reference

`#include "magick/studio.h"`
`#include "magick/client.h"`
`#include "magick/string_.h"`

## Functions

MagickExport const char * | GetClientName (void)
MagickExport const char * | GetClientPath (void)
MagickExport const char * | SetClientName (const char *name)
MagickExport const char * | SetClientPath (const char *path)

## Variables

static char | client_name [MaxTextExtent] = "ImageMagick"
static char | client_path [MaxTextExtent] = ""

## Function Documentation

MagickExport const char* GetClientName | ( | void |  | ) |

MagickExport const char* GetClientPath | ( | void |  | ) |

MagickExport const char* SetClientName | ( | const char * | name | ) |

MagickExport const char* SetClientPath | ( | const char * | path | ) |

## Variable Documentation

char client_name[MaxTextExtent] = "ImageMagick"`[static]`

char client_path[MaxTextExtent] = ""`[static]`